import unittest


def f(txt):
    from scriptures.text import Text
    t = Text(txt, language='fr', canon='catholic')
    refs = t.extract_refs(guess=True, simplify=False)
    return list(map(str, refs))


class TestRefExtractionFromText(unittest.TestCase):
    def setUp(self):
        pass

    def test_extraction_with_guess(self):
        refs = f("""
Chers frères et sœurs, bonjour!

L’Evangile de ce dimanche (cf. Mc 10, 2-16) nous offre la parole de Jésus sur le mariage. Le récit commence par la provocation des pharisiens qui demandent à Jésus s’il est licite pour un mari de répudier sa femme, comme le prévoyait la loi de Moïse (cf. vv. 2- 4). Tout d’abord, Jésus, avec la sagesse et l’autorité qui lui viennent du Père, redimensionne la prescription mosaïque en disant: «C’est en raison de votre dureté de cœur qu’il — c’est-à-dire l’ancien législateur — a écrit pour vous cette prescription» (v. 5). Autrement dit, il s’agit d’une concession servant à atténuer les failles produites par notre égoïsme, mais elle ne correspond pas à l’intention originelle du Créateur.

Et ici, Jésus reprend le livre de la Genèse: «Mais dès l’origine de la création Il [Dieu] les fit homme et femme. Ainsi donc l’homme quittera son père et sa mère, et les deux ne feront qu’une seule chair» (vv. 6-7). Et il conclut: «Eh bien! Ce que Dieu a uni, l’homme ne doit point le séparer» (v. 9). Dans le projet originel du Créateur, il n’y a pas d’homme qui épouse une femme puis, si les choses ne marchent pas, qui la répudie. Non. Au contraire, il y a l’homme et la femme appelés à se reconnaître, à se compléter, à s’aider mutuellement dans le mariage.

Cet enseignement de Jésus est très clair et défend la dignité du mariage, en tant qu’union d’amour qui implique la fidélité. Ce qui permet aux couples mariés de rester unis dans le mariage, c’est un amour qui est don réciproque, soutenu par la grâce du Christ. Si, en revanche, l’intérêt individuel et la satisfaction personnelle prévalent chez les époux, leur union ne pourra pas résister.

Et c’est la même page évangélique qui nous rappelle avec beaucoup de réalisme que l’homme et la femme, appelés à vivre l’expérience de la relation et de l’amour, peuvent douloureusement faire des gestes qui provoquent une crise. Jésus n’admet pas tout ce qui peut conduire au naufrage de la relation. Il le fait pour confirmer le dessein de Dieu, dans lequel ressortent la force et la beauté de la relation humaine. L’Eglise, d’une part, ne se lasse pas de confirmer la beauté de la famille telle qu’elle nous a été transmise par l’Ecriture et par la Tradition; dans le même temps, elle s’efforce de faire ressentir concrètement sa proximité maternelle à ceux qui vivent l’expérience de relations brisées ou qui sont poursuivies avec souffrance et difficulté.

La manière dont Dieu agit avec son peuple infidèle — c’est-à-dire avec nous — nous enseigne que l’amour blessé peut être guéri par Dieu, grâce à la miséricorde et au pardon. Par conséquent, dans ces situations, il n’est pas seulement demandé à l’Eglise de condamner immédiatement. Au contraire, face à tant d’échecs conjugaux douloureux, elle se sent appelée à vivre sa présence d’amour, de charité et de miséricorde, pour ramener à Dieu les cœurs blessés et perdus.

Invoquons la Vierge Marie pour qu’elle aide les époux à vivre et à renouveler toujours leur union, à partir du don originel de Dieu.


A l’issue de l’Angélus

Chers frères et sœurs! Aujourd’hui, fête de la Vierge du Rosaire, j’adresse un salut spécial aux fidèles rassemblés au sanctuaire de Pompéi pour la supplique traditionnelle, présidée en cette occasion par le cardinal Mario Zenari, nonce apostolique en Syrie. Je renouvelle à tous mon invitation à prier le Rosaire chaque jour du mois d’octobre, en concluant par l’antienne «Sous ta protection» et la prière à saint Michel Archange, pour repousser les attaques du diable qui veut diviser l’Eglise.

Samedi prochain aura lieu à Rome la première journée des catacombes. Beaucoup de sites seront ouverts au public, avec des ateliers pédagogiques et des manifestations culturelles. Je remercie la Commission pontificale d’archéologie sacrée pour cette initiative et je souhaite à celle-ci mes meilleurs vœux de réussite.

Je vous salue tous avec affection, romains et pèlerins, en particulier les familles et les groupes paroissiaux venant d’Italie et de diverses parties du monde. Je salue les étudiants de Neuilly (France).

Je souhaite à tous un bon dimanche. S’il vous plaît, n’oubliez pas de prier pour moi. Bon déjeuner et au revoir!

""")
        expected_refs = ['mc_10:2-16', 'mc_10:2-4', 'mc_10:5', 'mc_10:6-7', 'mc_10:9']
        for index in range(len(refs)):
            self.assertEqual(refs[index], expected_refs[index])

        refs = f("""Chers frères et sœurs, bonjour!

La page de l’Evangile d’aujourd’hui (cf. Mc 10, 35-45) décrit Jésus qui, encore une fois et avec une grande patience, cherche à corriger ses disciples en les convertissant de la mentalité du monde à celle de Dieu. L’occasion lui en est donnée par les frères Jacques et Jean, deux des premiers que Jésus a rencontrés et appelés à le suivre. Désormais, ils ont parcouru un long chemin avec lui et ils appartiennent précisément au groupe des douze apôtres. C’est pourquoi, alors qu’ils sont en chemin vers Jérusalem, où les disciples espèrent avec impatience que Jésus, à l’occasion de Pâques, instaurera finalement le Royaume de Dieu, les deux frères s’arment de courage, s’approchent et adressent leur requête au Maître: «Accorde-nous de siéger, l’un à ta droite et l’autre à ta gauche, dans ta gloire» (v. 37).

Jésus sait que Jacques et Jean sont animés par un grand enthousiasme pour Lui et pour la cause du Royaume, mais il sait également que leurs attentes et leur zèle sont entachés par l’esprit du monde. C’est pourquoi il répond: «Vous ne savez pas ce que vous demandez» (v. 38). Et tandis qu’ils parlaient de «trônes de gloire» sur lesquels s’asseoir à côté du Christ Roi, Lui parlait d’une «coupe» à boire, d’un «baptême» à recevoir, c’est-à-dire de sa passion et de sa mort. Jacques et Jean, visant toujours le privilège espéré, disent de façon impulsive: oui, «nous pouvons»! Mais même ici, ils ne se rendent pas vraiment compte de ce qu’ils disent. Jésus annonce qu’ils boiront sa coupe et qu’ils recevront son baptême, c’est-à-dire qu’eux aussi, comme les autres apôtres, participeront à sa croix, quand leur heure viendra. Cependant — conclut Jésus — «quant à siéger à ma droite ou à ma gauche, il ne m’appartient pas de l’accorder, mais c’est pour ceux à qui cela a été destiné» (v. 40). Cela revient à dire: à présent suivez-moi et apprenez le chemin de l’amour «à perte», et c’est le Père céleste qui pensera à la récompense. La voie de l’amour est toujours «à perte», parce qu’aimer signifie mettre de côté l’égoïsme, l’autoréférentialité, pour servir les autres. 

Jésus réalise ensuite que les dix autres apôtres sont en colère contre Jacques et Jean, montrant ainsi qu’ils ont la même mentalité mondaine. Et cela lui offre l’occasion d’une leçon qui vaut pour les chrétiens de tous les temps, également pour nous. Il dit: «Vous savez que ceux qu’on regarde comme les chefs des nations dominent sur elles en maîtres et que les grands leur font sentir leur pouvoir. Il ne doit pas en être ainsi parmi vous: au contraire, celui qui voudra devenir grand parmi vous, sera votre serviteur, et celui qui voudra être le premier parmi vous, sera l’esclave de tous» (v. 42-44). C’est la règle du chrétien. Le message du Maître est clair: alors que les grands de la Terre se construisent des «trônes» pour leur pouvoir, Dieu choisit un trône inconfortable, la croix, de laquelle il règne en donnant la vie: «Le Fils de l’homme — dit Jésus — n’est pas venu pour être servi, mais pour servir et donner sa vie en rançon pour une multitude» (v. 45).

La voie du service est l’antidote le plus efficace contre la maladie de la recherche des premières places; c’est le remède pour les carriéristes, cette recherche des premières places, qui contamine tant de contextes humains et n’épargne pas même les chrétiens, le peuple de Dieu, ni même la hiérarchie ecclésiastique. C’est pourquoi, en tant que disciples du Christ, accueillons cet Evangile comme un appel à la conversion, afin de témoigner avec courage et générosité d’une Eglise qui s’incline aux pieds des derniers, pour les servir avec amour et simplicité. Que la Vierge Marie, qui a adhéré pleinement et humblement à la volonté de Dieu, nous aide à suivre Jésus avec joie sur le chemin du service, la voie royale qui mène au ciel.


A l’issue de l’Angélus

Chers frères et sœurs, hier à Malaga (Espagne), a été proclamé bienheureux le prêtre jésuite Tiburcio Arnáiz Muñoz (1865-1926), fondateur des Missionnaires des doctrines rurales. Rendons grâce au Seigneur pour le témoignage de ce ministre zélé de la réconciliation et annonciateur inlassable de l’Evangile, en particulier parmi les humbles et les oubliés. Que son exemple nous pousse à être des agents de miséricorde et des missionnaires courageux dans tous les milieux; que son intercession soutienne notre chemin. Un applaudissement pour le bienheureux Tiburcio, tous ensemble!

Nous célébrons aujourd’hui la journée mondiale des missions, sur le thème «Avec les jeunes, portons l’Evangile à tous». Avec les jeunes: voilà le chemin! Et c’est la réalité que, grâce à Dieu, nous vivons ces jours-ci au cours du synode qui leur est consacré: en les écoutant et en les faisant participer, nous découvrons de nombreux témoignages de jeunes qui ont trouvé en Jésus le sens et la joie de la vie. Et souvent, ils l’ont rencontré grâce à d’autres jeunes, appartenant déjà à sa compagnie de frères et sœurs qu’est l’Eglise. Je pense aux nombreux chrétiens, hommes et femmes, laïcs, consacrés, prêtres, évêques, qui ont consacré leur vie et la consacrent encore loin de leur patrie, pour annoncer l’Evangile. A eux s’adressent notre amour, notre gratitude et notre prière. Récitons pour eux un «Je vous salue Marie»...

Je vous salue à présent tous, pèlerins provenant d’Italie et de divers pays. En particulier ceux du lycée «Saint-Chaumond» de Poitiers. 

J’adresse une pensée spéciale au groupe de la Caritas Internationalis, guidé par le président, le cardinal Luís Antonio Tagle, avec des évêques et des personnes provenant de divers pays du monde. Vous avez accompli un bref pèlerinage à Rome, pour exprimer le désir de marcher ensemble en apprenant ainsi à mieux vous connaître. J’encourage cette initiative de «partager le chemin», qui est promue dans de nombreuses villes et qui peut transformer notre rapport avec les migrants. Merci beaucoup à la Caritas!

Et je souhaite à tous un bon dimanche. S’il vous plaît, n’oubliez pas de prier pour moi. Bon déjeuner et au revoir.""")
        expected_refs = ["mc_10:35-45", "mc_10:37", "mc_10:38", "mc_10:40", "mc_10:42-44", "mc_10:45"]
        for index in range(len(refs)):
            self.assertEqual(refs[index], expected_refs[index])

        refs = f("""
         Chers frères et sœurs, bonjour!

La solennité de Jésus Christ Roi de l’univers, que nous célébrons aujourd’hui, est placée au terme de l’année liturgique et rappelle que la vie de la création n’avance pas au hasard, mais procède vers une destination finale: la manifestation définitive du Christ, Seigneur de l’histoire et de toute la création. La conclusion de l’histoire sera son règne éternel. Le passage évangélique du jour (cf. Jn 18, 33b-37) nous parle de ce royaume, le royaume du Christ, le royaume de Jésus, en racontant la situation humiliante dans laquelle s’est trouvé Jésus après avoir été arrêté au Gethsémani: attaché, insulté, accusé et conduit devant les autorités de Jérusalem. Il est ensuite présenté au procureur romain, comme quelqu’un qui attente au pouvoir politique, pour devenir le roi des juifs. Pilate fait alors son enquête et, dans un interrogatoire dramatique, il lui demande à deux reprises s’Il est roi (cf. vv. 33b.37).

Jésus répond tout d’abord que son royaume «n’est pas de ce monde» (v. 36). Puis il affirme: «Tu le dis: je suis roi» (v. 37). Toute sa vie révèle de manière évidente que Jésus n’a pas d’ambitions politiques. Souvenons-nous qu’après la multiplication des pains, la foule, enthousiaste du miracle, aurait voulu le proclamer roi, pour renverser le pouvoir romain et rétablir le royaume d’Israël. Mais pour Jésus, le royaume est autre chose, il ne se réalise certainement pas à travers la révolte, la violence et la force des armes. C’est pourquoi il se retire seul pour prier sur la montagne (cf. Jn 6, 5-15). A présent, en répondant à Pilate, il lui fait remarquer que ses disciples n’ont pas combattu pour le défendre. Il dit: «Si mon royaume était de ce monde, mes gens auraient combattu pour que je ne sois pas livré aux juifs» (v. 36). 

Jésus veut faire comprendre qu’au-dessus du pouvoir politique, il en existe un autre beaucoup plus grand, que l’on n’obtient pas à travers des moyens humains. Il est venu sur la terre pour exercer ce pouvoir, qui est l’amour, en rendant témoignage à la vérité (cf. v. 37). Il s’agit de la vérité divine qui en définitive est le message essentiel de l’Evangile: «Dieu est amour» (1 Jn 4, 8) et il veut établir dans le monde son royaume d’amour, de justice et de paix. C’est le royaume dont Jésus est le roi, et qui s’étend jusqu’à la fin des temps. L’histoire nous enseigne que les royaumes fondés sur le pouvoir des armes et sur les abus sont fragiles et s’écroulent tôt ou tard. Mais le royaume de Dieu est fondé sur son amour et s’enracine dans les cœurs — le royaume de Dieu s’enracine dans les cœurs —, en conférant à celui qui l’accueille paix, liberté et plénitude de vie. Nous voulons tous la paix, nous voulons tous la liberté, et nous voulons la plénitude. Et comment faire? Laisse l’amour de Dieu, le royaume de Dieu, l’amour de Jésus, s’enraciner dans ton cœur et tu auras la paix, tu auras la liberté et tu auras la plénitude.

Jésus nous demande aujourd’hui de le laisser devenir notre roi. Un roi qui par sa parole, son exemple et sa vie immolée sur la croix, nous a sauvés de la mort, et qui indique — ce roi — le chemin à l’homme égaré, qui donne une lumière nouvelle à notre existence marquée par le doute, par la peur et par les épreuves de chaque jour. Mais nous ne devons pas oublier que le royaume de Jésus n’est pas de ce monde. Il ne pourra donner un sens nouveau à notre vie, parfois mise à rude épreuve également par nos erreurs et par nos péchés, qu’à condition que nous ne suivions pas les logiques du monde et de ses «rois».

Que la Vierge Marie nous aide à accueillir Jésus comme roi de notre vie et à diffuser son royaume, en rendant témoignage à la vérité qui est l’amour.


A l’issue de l’Angélus

Chers frères et sœurs, hier l’Ukraine a commémoré l’anniversaire de l’Holodomor, la terrible famine provoquée par le régime soviétique qui a provoqué des millions de victimes. L’image est douloureuse. Que la blessure du passé soit un appel pour tous afin que de telles tragédies ne se répètent jamais plus. Prions pour ce cher pays et pour la paix tant désirée.

Je vous salue tous, pèlerins venus d’Italie et de divers pays: les familles, les groupes paroissiaux, les associations. Je salue les participants au congrès sur la fertilité, promu par l’université catholique du Sacré-Cœur pour le 50e anniversaire de l’encyclique  Humanae vitae de saint Paul VI.

Je souhaite à tous un bon dimanche. Et s’il vous plaît, n’oubliez pas de prier pour moi. Bon déjeuner et au revoir!""")
        expected_refs = ["jn_18:33-37", "jn_18:33", "jn_18:36", "jn_18:37", "jn_6:5-15", "jn_18:36", "jn_18:37", "1jn_4:8"]
        for index in range(len(refs)):
            self.assertEqual(refs[index], expected_refs[index])

        refs = f("""
Chers frères et sœurs, bonjour !

En poursuivant ces catéchèses sur la famille, je voudrais aujourd’hui parler des fiançailles. Les fiançailles — on l’entend dans le mot — ont un rapport avec la confiance, la familiarité, la fiabilité. Familiarité avec la vocation que Dieu donne, car le mariage est tout d’abord la découverte d’un appel de Dieu. C’est certainement une belle chose que les jeunes puissent aujourd’hui choisir de se marier sur la base d’un amour réciproque. Mais la liberté du lien demande précisément une harmonie consciente de la décision, pas seulement une simple entente due à l’attraction ou au sentiment, pour un moment, un temps bref... Cela demande un parcours.

Les fiançailles, en d’autres termes, sont la période pendant laquelle les deux personnes sont appelées à effectuer un beau travail sur l’amour, un travail actif et partagé, qui va en profondeur. On se découvre peu à peu réciproquement, c’est-à-dire que l’homme « apprend » la femme en apprenant cette femme, sa fiancée, et la femme « apprend » l’homme en apprenant  cet homme, son fiancé. Il ne faut pas sous-évaluer l’importance de cet apprentissage. C’est un grand engagement, et l’amour lui-même le requiert, car il n’est pas seulement un bonheur insouciant, une émotion enchantée... Le récit biblique parle de toute la création comme d’un grand travail de l’amour de Dieu. Le livre de la Genèse dit que « Dieu vit tout ce qu’il avait fait : cela était très bon » (Gn 1, 31). Ce n’est qu’à la fin que Dieu « se reposa ». À partir de cette image, nous comprenons que l’amour de Dieu, qui donna origine au monde, ne fut pas une décision improvisée. Non ! Ce fut un grand travail. L’amour de Dieu créa les conditions concrètes d’une alliance irrévocable, solide, destinée à durer.

L’alliance d’amour entre l’homme et la femme, une alliance pour la vie, ne s’improvise pas, elle ne se fait pas d’un jour à l’autre. Le mariage express n’existe pas: il faut travailler sur l’amour, il faut cheminer. L’alliance de l’amour de l’homme et de la femme s’apprend et s’affine. Je me permets de dire que c’est une alliance artisanale. Faire de deux vies une seule vie, est aussi presque un miracle, un miracle de la liberté et du cœur, confié à la foi. Nous devrions peut-être nous appliquer davantage sur ce point, car nos « coordonnées sentimentales » se sont un peu embrouillées. Certains prétendent tout vouloir et tout de suite, mais ensuite cèdent sur tout — et immédiatement — à la première difficulté (ou à la première occasion). Il n’y a pas d’espérance pour la confiance et la fidélité du don de soi, si prévaut l’habitude de consommer l’amour comme une sorte de « complément » du bien-être psycho-physique. L’amour n’est pas cela ! Les fiançailles focalisent la volonté de conserver ensemble quelque chose qui ne devra jamais être acheté ou vendu, trahi ou abandonné, aussi alléchante que puisse être l’offre. Mais Dieu aussi, quand il parle de l’alliance avec son peuple, le fait parfois en terme de fiançailles. Dans le Livre de Jérémie, en s’adressant au peuple qui s’était éloigné de Lui, il lui rappelle quand le peuple était la « fiancée » de Dieu et dit ceci : « Je me rappelle l’affection de ta jeunesse, l’amour de tes fiançailles » (2, 2). Et Dieu a suivi ce parcours de fiançailles. Ensuite, il fait également une promesse. Nous l’avons entendu au début de l’audience, dans le Livre d’Osée : « Je te fiancerai à moi pour toujours; je te fiancerai dans la justice et dans le droit, dans la tendresse et la miséricorde ; je te fiancerai à moi dans la fidélité, et tu connaîtras Yahvé » (2, 21-22). C’est une longue route que le Seigneur suit avec son peuple sur ce chemin des fiançailles. À la fin, Dieu épouse son peuple en Jésus Christ, il épouse l’Église en Jésus. Le peuple de Dieu est l’épouse de Jésus. Mais que de chemin ! Et vous, les Italiens, vous possédez dans votre littérature un chef-d’œuvre sur les fiançailles (Les fiancés). Il est nécessaire que les jeunes le connaissent, qu’ils le lisent, c’est un chef-d’œuvre où l’on raconte l’histoire de fiancés qui ont supporté tant de douleur, qui ont suivi une route pleine de difficultés, jusqu’à arriver à la fin, au mariage. Ne négligez pas ce chef-d’œuvre sur les fiançailles que la littérature italienne vous a précisément offert. Allez de l’avant, lisez-le et vous verrez la beauté, la souffrance, mais aussi la fidélité des fiancés.

L’Église, dans sa sagesse, conserve la  distinction entre être fiancés et être mariés — ce n’est pas la même chose — précisément en vue de la délicatesse et de la profondeur de cette vérification. Soyons attentifs à ne pas mépriser d’un cœur léger ce sage enseignement, qui se nourrit aussi de l’expérience de l’amour conjugal vécu avec bonheur. Les symboles forts du corps détiennent les clefs de l’âme. Nous ne pouvons pas traiter les liens de la chair avec légèreté, sans ouvrir une blessure durable dans l’esprit (1 Co 15-20).

Assurément, la culture et la société actuelle sont devenues plutôt indifférentes à la délicatesse et au sérieux de ce passage. D’autre part, on ne peut pas dire qu’elles soient généreuses avec les jeunes qui ont sérieusement l’intention de bâtir une famille et de mettre des enfants au monde ! Au contraire, elles créent souvent mille obstacles, mentaux et pratiques. Les fiançailles sont un parcours de vie qui doit mûrir comme les fruits, elles sont une route de maturation dans l’amour, jusqu’au moment où elles deviennent le mariage.

Les cours prématrimoniaux sont une expression particulière de la préparation. Et nous voyons de nombreux couples, qui arrivent à ce cours peut-être un peu de mauvais gré, « mais ces prêtres nous font suivre un cours ! Mais pourquoi ? Nous ne savons pas ! »... et ils y vont de mauvais gré. Mais après, ils sont contents et ils remercient, car en effet ils ont trouvé là l’occasion — souvent l’unique ! — de réfléchir sur leur expérience en termes qui ne sont pas banals. Oui, de nombreux couples sont ensemble depuis longtemps, peut-être même dans l’intimité, parfois ils cohabitent, mais ils ne se connaissent pas vraiment. Cela semble étrange, mais l’expérience démontre qu’il en est ainsi. C’est pourquoi il faut réévaluer les fiançailles comme un temps de connaissance réciproque et de partage d’un projet. Le chemin de préparation au mariage doit être organisé dans cette perspective, en se servant également du témoignage simple, mais intense des conjoints chrétiens. Et en misant ici aussi sur l’essentiel : la Bible, à redécouvrir ensemble, de manière consciente, la prière, dans sa dimension liturgique, mais aussi dans cette « prière domestique », à vivre en famille, les sacrements, la vie sacramentelle, la confession... dans laquelle le Seigneur vient demeurer dans les fiancés et les prépare à s’accueillir vraiment réciproquement « avec la grâce du Christ » ; et la fraternité avec les pauvres, avec les indigents, qui nous invitent à la sobriété et au partage. Les fiancés qui s’engagent en cela grandissent tous les deux et tout cela conduit à préparer une belle célébration du mariage de manière différente, pas mondaine, mais de manière chrétienne ! Pensons à ces paroles de Dieu que nous avons entendues quand Il s’adresse à son peuple comme le fiancé à la fiancée : « Je te fiancerai à moi pour toujours ; je te fiancerai dans la justice et dans le droit, dans la tendresse et la miséricorde ; je te fiancerai à moi dans la fidélité, et tu connaîtras Yahvé » (Os 2, 21-22). Que chaque couple de fiancés pense à cela et dise à l’autre : « Je ferai de toi ma fiancée, je ferai de toi mon fiancé ». Attendre ce moment, c’est un moment, c’est un parcours qui va lentement de l’avant, mais c’est un itinéraire de maturation. Les étapes du chemin ne doivent pas être brûlées. La maturation se fait ainsi, pas à pas. Le temps des fiançailles peut véritablement devenir un temps d’initiation, à quoi ? À la surprise ! À la surprise des dons spirituels avec lesquels le Seigneur, à travers l’Église, enrichit l’horizon de la nouvelle famille qui se dispose à vivre dans sa bénédiction. À présent, je vous invite à prier la sainte Famille de Nazareth, Jésus, Joseph et Marie. Prier pour que la famille suive ce chemin de préparation, prier pour les fiancés. Prions la Vierge tous ensemble, un Je vous salue Marie pour tous les fiancés, pour qu’ils puissent comprendre la beauté de ce chemin vers le mariage. [Je vous salue Marie...]. Et aux fiancés qui sont sur la place : « Bonne route de fiançailles ! ».

Je salue cordialement les pèlerins de langue française, en particulier les pèlerins de Beyrouth, accompagnés de Monseigneur Salim Bustros, les pèlerins du Cameroun, ainsi que les groupes venus de France.

Je prie spécialement pour tous ceux qui se préparent au mariage, et j’invite les communautés chrétiennes à les encourager et à les aider dans l’accomplissement de leur généreux projet.

Que Dieu vous bénisse.""")
        expected_refs = ["gn_1:31", "os_2:21-22"]
        for index in range(len(refs)):
            self.assertEqual(refs[index], expected_refs[index])

        refs = f("""
Chers frères et sœurs, bonjour.

Dans le Credo, immédiatement après avoir professé la foi dans le Saint-Esprit, nous disons : « Je crois en l’Église une, sainte, catholique et apostolique ». Il y a un lien profond entre ces deux réalités de foi : c’est le Saint-Esprit, en effet, qui donne vie à l’Église, guide ses pas. Sans la présence et l’action incessante du Saint-Esprit, l’Église ne pourrait pas vivre et ne pourrait accomplir le devoir que Jésus Ressuscité lui a confié d’aller et de faire des disciples de toutes les nations (cf. Mt 28, 18). Évangéliser est la mission de l’Église, pas seulement de certains, mais la mienne, la tienne, notre mission. L’apôtre Paul s’exclamait : « Malheur à moi si je n’annonce pas l’Évangile ! » (1 Co 9, 16). Chacun doit être évangélisateur, surtout à travers sa vie ! Paul VI soulignait qu’« évangéliser... est la grâce et la vocation propre de l’Église, son identité la plus profonde. Elle existe pour évangéliser » (Exhort. ap.  Evangelii nuntiandi, n. 14).

Qui est le vrai moteur de l’évangélisation dans notre vie et dans l’Église ? Paul VI écrivait avec clarté : « C’est Lui le Saint-Esprit qui, aujourd’hui comme aux débuts de l’Église, agit en chaque évangélisateur qui se laisse posséder et conduire par Lui, et met dans sa bouche les mots que seul il ne pourrait trouver, tout en prédisposant aussi l’âme de celui qui écoute pour le rendre ouvert et accueillant à la Bonne Nouvelle et au Règne annoncé » (ibid., n. 75). Pour évangéliser, alors, il est nécessaire encore une fois de s’ouvrir à l’horizon de l’Esprit de Dieu, sans craindre ce qu’il peut nous demander et où il nous conduit. Ayons confiance en Lui ! Il nous rendra capables de vivre et de témoigner de notre foi, et il illuminera le cœur de ceux que nous rencontrons. Telle a été l’expérience de Pentecôte : les apôtres, réunis avec Marie au Cénacle, «virent apparaître comme une sorte de feu qui se partageait en langues et qui se posa sur chacun d’eux. Alors, ils furent tous remplis de l’Esprit Saint : ils se mirent à parler en d’autres langues, et chacun s’exprimait selon le don de l’Esprit » (Ac 2, 3-4). Le Saint-Esprit, en descendant sur les apôtres, les fait sortir de la pièce où ils étaient enfermés par crainte, il les fait sortir d’eux-mêmes, et les transforme en annonciateurs et témoins des « merveilles de Dieu » (v. 11). Et cette transformation opérée par le Saint-Esprit se reflète dans la foule accourue sur place et provenant « de toutes les nations qui sont sous le ciel » (v. 5), parce que chacun écoute les paroles des apôtres comme si elles étaient prononcées dans sa propre langue (v. 6). 

Il y a ici un premier effet important de l’action du Saint-Esprit qui conduit et anime l’annonce de l’Évangile : l’unité, la communion. À Babel, selon le récit biblique, avait commencé la dispersion des peuples et la confusion des langues, fruit du geste de vanité et d’orgueil de l’homme qui voulait construire, uniquement par ses forces, sans Dieu, « une ville, avec une tour dont le sommet soit dans les cieux » (Gn 11, 4). À la Pentecôte, ces divisions sont surmontées. Il n’y a plus d’orgueil envers Dieu, ni de fermeture des uns envers les autres, mais il y a l’ouverture à Dieu, il y a le fait de sortir pour annoncer sa Parole : une langue nouvelle, celle de l’amour que le Saint-Esprit reverse dans les cœurs (cf. Rm 5, 5) ; une langue que tous peuvent comprendre et qui, accueillie, peut être exprimée dans toute existence et dans toute culture. La langue de l’Esprit, la langue de l’Évangile est la langue de la communion, qui invite à surmonter fermetures et indifférence, divisions et conflits. Nous devrions tous nous demander : comment est-ce que je me laisse guider par le Saint-Esprit de manière que ma vie et mon témoignage de foi soit d’unité et de communion ? Est-ce que je porte la parole de réconciliation et d’amour qu’est l’Évangile dans les milieux où je vis ? Parfois, il semble que se répète aujourd’hui ce qui est arrivé à Babel : divisions, incapacité de se comprendre, rivalités, jalousies, égoïsme. Moi, que fais-je avec ma vie ? Est-ce que je fais l’unité autour de moi ? Ou est-ce que je divise, à travers les commérages, les critiques, les jalousies ? Que fais-je ? Pensons à cela. Apporter l’Évangile, c’est annoncer et vivre nous les premiers la réconciliation, le pardon, la paix, l’unité et l’amour que le Saint-Esprit nous donne. Souvenons-nous des paroles de Jésus : « Ce qui montrera à tous les hommes que vous êtes mes disciples, c’est l’amour que vous aurez les uns pour les autres » (Jn 13, 34-35).

Un deuxième élément : le jour de la Pentecôte, Pierre, rempli du Saint-Esprit, se met debout « avec les onze » et « à voix haute » (Ac 2, 14) et « avec franchise » (v. 29) annonce la bonne nouvelle de Jésus, qui a donné sa vie pour notre salut et que Dieu a ressuscité d’entre les morts. Voilà un autre effet de l’action du Saint-Esprit : le courage d’annoncer la nouveauté de l’Évangile de Jésus à tous, avec franchise (parousie), à haute voix, à chaque époque et en chaque lieu. Et cela a lieu aujourd’hui aussi pour l’Église et pour chacun de nous: du feu de la Pentecôte, de l’action de l’Esprit Saint, se libèrent toujours de nouvelles énergies de mission, de nouvelles voies à travers lesquelles annoncer le message du salut, un nouveau courage pour évangéliser. Ne nous fermons jamais à cette action ! Vivons avec humilité et courage l’Évangile ! Témoignons de la nouveauté, de l’espérance, de la joie que le Seigneur apporte dans la vie. Ressentons en nous « la joie douce et réconfortante d’évangéliser » (Paul VI, Exhort. ap.  Evangelii nuntiandi, n. 80). Car évangéliser, annoncer Jésus, nous donne de la joie ; en revanche, l’égoïsme nous donne de l’amertume, de la tristesse, nous abat ; évangéliser nous élève.

Je ne fais que mentionner un troisième élément, qui cependant est particulièrement important : une nouvelle évangélisation, une Église qui évangélise doit toujours partir de la prière, de la demande, comme les apôtres au Cénacle, du feu du Saint-Esprit. Seul le rapport fidèle et intense avec Dieu permet de sortir de ses propres fermetures et d’annoncer avec parousie l’Évangile. Sans la prière, notre action devient vide et notre annonce est sans âme, et n’est pas animée par l’Esprit.

Chers amis, comme l’a affirmé Benoît XVI, aujourd’hui l’Église « sent surtout le vent de l’Esprit Saint qui nous aide, nous montre la vraie voie ; et ainsi, avec un nouvel enthousiasme, nous sommes en chemin et nous rendons grâce au Seigneur » (Discours à l’assemblée ordinaire du synode des évêques, 27 octobre 2012). Nous renouvelons chaque jour notre confiance dans l’action du Saint-Esprit, la confiance qu’Il agit en nous, Il est en nous, il nous donne la ferveur apostolique, il nous donne la paix, il nous donne la joie. Laissons-nous guider par Lui, nous sommes des hommes et des femmes de prière, qui témoignent avec courage de l’Évangile, en devenant dans notre monde des instruments de l’unité et de la communion avec Dieu. Merci.


Je salue cordialement les pèlerins francophones, particulièrement les fidèles venus de diverses paroisses de France ainsi que les nombreux jeunes présents. Chers amis, le Saint-Esprit fait de nous des évangélisateurs courageux, habités du désir de porter la bonne nouvelle de l’Évangile à tous nos frères ; et il nous en rend capables. Priez-le sans relâche et laissez-vous guider par lui, sans avoir peur du chemin sur lequel il vous conduit. Ayez confiance, et soyez assurés de sa présence : c’est lui qui ouvre les cœurs à l’amour de Dieu et des frères.




Vendredi, 24 mai, est le jour consacré à la mémoire liturgique de la Bienheureuse Vierge Marie, Auxiliaire des chrétiens, vénérée avec une grande dévotion dans le sanctuaire de Sheshan, à Shanghaï.

J’invite tous les catholiques du monde à s’unir en prière avec nos frères et sœurs qui sont en Chine, pour implorer de Dieu la grâce d’annoncer avec humilité et avec joie le Christ mort et ressuscité, d’être fidèles à son Église et au Successeur de Pierre et de vivre quotidiennement leur service à leur pays et à leurs citoyens de manière cohérente avec la foi qu’ils professent.

En faisant nôtres plusieurs mots de la prière à la Vierge de Sheshan, je voudrais ainsi invoquer Marie avec vous : « Notre-Dame de Sheshan, soutiens l’engagement de ceux qui en Chine, malgré les difficultés quotidiennes, continuent à croire, à espérer, à aimer, afin qu’ils ne craignent jamais de parler de Jésus au monde et du monde à Jésus ».

Que Marie, Vierge fidèle, soutienne les catholiques chinois, rende leurs engagements difficiles toujours plus précieux aux yeux du Seigneur, et qu’elle fasse grandir l’affection et la participation de l’Église qui est en Chine au chemin de l’Église universelle.""")
        expected_refs = ["mt_28:18", "1co_9:16", "ac_2:3-4", "ac_2:11", "ac_2:5", "ac_2:6", "gn_11:4", "rm_5:5", "jn_13:34-35", "ac_2:14", "ac_2:29"]
        for index in range(len(refs)):
            self.assertEqual(refs[index], expected_refs[index])

# text = "(Jn 17, 21) " + \
#        "(1 P 3, 8) " + \
#        "(cf. Jn 18, 33b-37) " + \
#        "(cf. Jc 2, 18) " + \
#        "(cf. Rm 8, 16). " + \
#        "(Ep 6, 23) " + \
#        "(1 Co 12, 13) " + \
#        "(cf. Ep 2, 14-16) " + \
#        "(cf. Ph 1, 6). " + \
#        "(cf. Ps 138, 1). " + \
#        "(cf. Jn 9, 5) " + \
#        "(v. 49) " + \
#        "Ez 13, 9 " + \
#        "Ézéchiel 13, 12 " + \
#        "Jr 3, 5 " + \
#        "Osee 1"

